Bug 242852 - gnome-system-monitor is not reading process memory information correctly
gnome-system-monitor is not reading process memory information correctly
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-system-monitor (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Søren Sandmann Pedersen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-06 00:37 EDT by vfiend
Modified: 2014-06-18 05:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:26:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description vfiend 2007-06-06 00:37:29 EDT
Description of problem: See summary


Version-Release number of selected component (if applicable): 2.18.0-1.fc7.x86_64


How reproducible: Always


Steps to Reproduce:
1. Open gnome-system monitor
2. Select to show processes from all users
3. Look at the memory column of Xorg, etc
  
Actual results: See '0 bytes' for every process running as another user


Expected results: See actual memory consumption
Comment 1 n0dalus 2007-06-28 11:56:04 EDT
I can confirm this problem, in the current version
gnome-system-monitor-2.19.4-1.fc8.

The only memory shown in the Memory column is the X usage -- all other memory
data seems gone. This appears to be a problem with the reading of (s)maps, since
if you right click on any process and select 'Memory maps' you get an empty
list. /proc/$PID/smaps does contain all the data, but g-s-m isn't reading it
properly.

One issue with this approach anyway is that other users' processes don't have a
readable maps file, so trying to produce a memory total based on this will not work.

The reason it appears to be reporting 0 for other users' processes is that
typically only the current user is running X applications. Changing summary to
reflect this.
Comment 2 Steve Giess 2007-08-21 05:43:46 EDT
(In reply to comment #1)
 I can confirm this with i686 running 2.6.22.1-41.fc7

Completely reproducable.

The memory figures are shown correctly when running under 2.6.21-1.3228.fc7

Both cases gnome-system-monitor 2.18.2-1.fc7
Comment 3 Bug Zapper 2008-05-14 08:50:40 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2008-06-16 21:26:30 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.